Package com.sas.metadata.remote

# Interface Location

All Superinterfaces:
  `CMetadata`, `MdObjectBase`, `MdObjectBaseUtil`, `MdObjectBaseXML`, `Remote`, `Root`, `SecondaryType`

public interface Location extends SecondaryType
This type represents a location that includes a type (is it a street address, or an office number), as well as address information (street, city, country).

Attributes of Location are:

- `LocationType`
- `Address`
- `City`
- `PostCode`
- `Area`
- `Country`

Associations of Location are:

- `Persons`

## Usage

To create an instance of this Location, use the `factory` create methods.
Example: create a Location with name "Location_Object", in repository "AAAAAAAA".

     // create a store to contain your objects for this change. If you do not have an existing object
     // or store to use.  You may obtain the store from another object by using Object.getObjectStore().
     MdFactory factory; //where "factory" is a valid MdFactory instance
     MdObjectStore objectStore = factory.createObjectStore();
     Location myObject = (Location) factory.createComplexMetadataObject(objectStore, "Location_Object", MetadataObjects.LOCATION, "AAAAAAAA");
     myObject.updateMetadataAll();  // Write object to server
     objectStore.dispose();  // dispose of the object store if it is no longer needed

## Behavior

- Attributes and associations for this object can be retrieved by using the methods in `MdOMIUtil`.
- When changes are made to the object, either by setting an attribute or adding objects to a particular association, they can be persisted to the metadata server with the `updateMetadataAll` method.
- If an object needs to be deleted, the `delete` method can be used. This will flag the object as being deleted on the client, and will require an update call to persist the change to the server.

## Dependencies

This class depends on objects being contained in an MdObjectStore. Object stores should be disposed of when they are no longer needed as this will help clean up memory. Disposing an object store will dispose of all objects contained within that store.

Since:
  9.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ASSOCIATION_PERSONS_NAME`
  Constant used for the name of the Persons association.
  `static final String`
  `ATTRIBUTE_ADDRESS_NAME`
  Constant used for the name of the Address attribute.
  `static final String`
  `ATTRIBUTE_AREA_NAME`
  Constant used for the name of the Area attribute.
  `static final String`
  `ATTRIBUTE_CITY_NAME`
  Constant used for the name of the City attribute.
  `static final String`
  `ATTRIBUTE_COUNTRY_NAME`
  Constant used for the name of the Country attribute.
  `static final String`
  `ATTRIBUTE_LOCATIONTYPE_NAME`
  Constant used for the name of the LocationType attribute.
  `static final String`
  `ATTRIBUTE_POSTCODE_NAME`
  Constant used for the name of the PostCode attribute.

  ### Fields inherited from interface com.sas.metadata.remote.MdObjectBase

  `ATTRIBUTE_DESC_NAME, ATTRIBUTE_ID_NAME, ATTRIBUTE_METADATACREATED_NAME, ATTRIBUTE_METADATAUPDATED_NAME, ATTRIBUTE_NAME_NAME`

  ### Fields inherited from interface com.sas.metadata.remote.Root

  `ASSOCIATION_ACCESSCONTROLS_NAME, ASSOCIATION_CHANGES_NAME, ASSOCIATION_CUSTOMASSOCIATIONS_NAME, ASSOCIATION_DOCUMENTS_NAME, ASSOCIATION_EXTENSIONS_NAME, ASSOCIATION_EXTERNALIDENTITIES_NAME, ASSOCIATION_GROUPS_NAME, ASSOCIATION_IMPLEMENTORS_NAME, ASSOCIATION_KEYWORDS_NAME, ASSOCIATION_LOCALIZEDATTRIBUTES_NAME, ASSOCIATION_NOTES_NAME, ASSOCIATION_PRIMARYPROPERTYGROUP_NAME, ASSOCIATION_PROMPTS_NAME, ASSOCIATION_PROPERTIES_NAME, ASSOCIATION_PROPERTYSETS_NAME, ASSOCIATION_REFERENCEDOBJECTS_NAME, ASSOCIATION_RESPONSIBLEPARTIES_NAME, ASSOCIATION_SOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECSOURCETRANSFORMATIONS_NAME, ASSOCIATION_SPECTARGETTRANSFORMATIONS_NAME, ASSOCIATION_TARGETTRANSFORMATIONS_NAME, ASSOCIATION_TIMESTAMPS_NAME, ASSOCIATION_TREES_NAME, ASSOCIATION_TSOBJECTNAMESPACE_NAME, ASSOCIATION_USEDBYPROTOTYPES_NAME, ASSOCIATION_USINGPROTOTYPE_NAME, ASSOCIATION_VARIABLES_NAME, ATTRIBUTE_CHANGESTATE_NAME, ATTRIBUTE_LOCKEDBY_NAME, ATTRIBUTE_USAGEVERSION_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAddress()`
  Gets the `String` value of `Address`
  `int`
  `getAddressMaxLength()`
  Gets the maximum length of `Address`
  `int`
  `getAddressState()`
  Gets the Metadata State of `Address`
  `String`
  `getArea()`
  Gets the `String` value of `Area`
  `int`
  `getAreaMaxLength()`
  Gets the maximum length of `Area`
  `int`
  `getAreaState()`
  Gets the Metadata State of `Area`
  `String`
  `getCity()`
  Gets the `String` value of `City`
  `int`
  `getCityMaxLength()`
  Gets the maximum length of `City`
  `int`
  `getCityState()`
  Gets the Metadata State of `City`
  `String`
  `getCountry()`
  Gets the `String` value of `Country`
  `int`
  `getCountryMaxLength()`
  Gets the maximum length of `Country`
  `int`
  `getCountryState()`
  Gets the Metadata State of `Country`
  `String`
  `getLocationType()`
  Gets the `String` value of `LocationType`
  `int`
  `getLocationTypeMaxLength()`
  Gets the maximum length of `LocationType`
  `int`
  `getLocationTypeState()`
  Gets the Metadata State of `LocationType`
  `AssociationList`
  `getPersons()`
  Gets the Association list of `Persons`
  `AssociationList`
  `getPersons(boolean fGoToServer)`
  Gets the Associationlist of `Persons`
  `String`
  `getPostCode()`
  Gets the `String` value of `PostCode`
  `int`
  `getPostCodeMaxLength()`
  Gets the maximum length of `PostCode`
  `int`
  `getPostCodeState()`
  Gets the Metadata State of `PostCode`
  `void`
  `initializePredObjects()`
  (S) Adds the Associated objects to the predObjects which are:
  `void`
  `initializeRequiredObjects()`
  (S) This initializes the Required Objects(Roles) which are:
  `void`
  `setAddress(String inAddress)`
  Sets the `Address` value and sets the state to MetadataState.LOCAL.
  `void`
  `setAddress(String inAddress, int state)`
  Sets the `Address` Metadata State.
  `void`
  `setAddressState(int state)`
  Sets the Metadata State of `Address`.
  `void`
  `setArea(String inArea)`
  Sets the `Area` value and sets the state to MetadataState.LOCAL.
  `void`
  `setArea(String inArea, int state)`
  Sets the `Area` Metadata State.
  `void`
  `setAreaState(int state)`
  Sets the Metadata State of `Area`.
  `void`
  `setCity(String inCity)`
  Sets the `City` value and sets the state to MetadataState.LOCAL.
  `void`
  `setCity(String inCity, int state)`
  Sets the `City` Metadata State.
  `void`
  `setCityState(int state)`
  Sets the Metadata State of `City`.
  `void`
  `setCountry(String inCountry)`
  Sets the `Country` value and sets the state to MetadataState.LOCAL.
  `void`
  `setCountry(String inCountry, int state)`
  Sets the `Country` Metadata State.
  `void`
  `setCountryState(int state)`
  Sets the Metadata State of `Country`.
  `void`
  `setLocationType(String inLocationType)`
  Sets the `LocationType` value and sets the state to MetadataState.LOCAL.
  `void`
  `setLocationType(String inLocationType, int state)`
  Sets the `LocationType` Metadata State.
  `void`
  `setLocationTypeState(int state)`
  Sets the Metadata State of `LocationType`.
  `void`
  `setPersons(AssociationList list)`
  Sets the `Persons` list to be `list`.
  `void`
  `setPersons(AssociationList inObjects, int state)`
  Sets the entire Persons list to match the passed in AssociationList, sets the state of the Persons
  `void`
  `setPostCode(String inPostCode)`
  Sets the `PostCode` value and sets the state to MetadataState.LOCAL.
  `void`
  `setPostCode(String inPostCode, int state)`
  Sets the `PostCode` Metadata State.
  `void`
  `setPostCodeState(int state)`
  Sets the Metadata State of `PostCode`.

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBase

  `addElementToChangeList, clearChangeList, getChangeList, getCMetadataType, getDesc, getDescMaxLength, getDescState, getFQID, getId, getIdState, getMetadataCreated, getMetadataCreatedState, getMetadataUpdated, getMetadataUpdatedState, getName, getNameMaxLength, getNameState, getObjectStore, getPredAssociations, getRepositoryID, getRequiredAssociations, getState, isAssociationRequired, isNewObject, isPredAssociation, removeElementFromChangeList, resetObject, resetState, resetStates, setCMetadataType, setDesc, setDesc, setDescState, setFQID, setFQID, setId, setId, setIdState, setMetadataCreated, setMetadataCreated, setMetadataCreatedState, setMetadataUpdated, setMetadataUpdated, setMetadataUpdatedState, setName, setName, setNameState, setObjectStore, setState`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseUtil

  `addMdObjectListener, delete, dispose, fireMdObjectModified, getAssociatedObjects, getAssociatedObjects, getAssociatedObjects, getAssociationNames, getAssocs, getAssocsWA, getAttributeNames, getAttrs, getAttrsStates, getAuthorizationUtil, getChangeManagementState, getChgMgtExternalIdentityImportType, getClientSideOnlyObject, getMdObjectAssociation, getPopulatedAssocs, getUpdatedAttrs, getViewList, isCheckedOut, isLocked, objectModified, removeMdObjectListener, setAttrs, setChangeManagementTargetRepository, setChgMgtExternalIdentityImportType, setClientSideOnlyObject, setMdObjectAssociation, touch, updateAssnsIds`

  ### Methods inherited from interface com.sas.metadata.remote.MdObjectBaseXML

  `closeUpdateMetadataXML, createEmptyXML, createObjectRefreshXML, createObjectXML, createObjectXML, createUpdateAssociationXML, createUpdateAssociationXML, createUpdateSimpleXML, doCreateUpdateXML, getUpdateSimpleSubstring, updateMetadataAll`

  ### Methods inherited from interface com.sas.metadata.remote.Root

  `getAccessControls, getAccessControls, getChanges, getChanges, getChangeState, getChangeStateMaxLength, getChangeStateState, getCustomAssociations, getCustomAssociations, getDocuments, getDocuments, getExtensions, getExtensions, getExternalIdentities, getExternalIdentities, getGroups, getGroups, getImplementors, getImplementors, getKeywords, getKeywords, getLocalizedAttributes, getLocalizedAttributes, getLockedBy, getLockedByMaxLength, getLockedByState, getNotes, getNotes, getPrimaryPropertyGroup, getPrimaryPropertyGroups, getPrimaryPropertyGroups, getPrompts, getPrompts, getProperties, getProperties, getPropertySets, getPropertySets, getReferencedObjects, getReferencedObjects, getResponsibleParties, getResponsibleParties, getSourceTransformations, getSourceTransformations, getSpecSourceTransformations, getSpecSourceTransformations, getSpecTargetTransformations, getSpecTargetTransformations, getTargetTransformations, getTargetTransformations, getTimestamps, getTimestamps, getTrees, getTrees, getTSObjectNamespace, getTSObjectNamespaces, getTSObjectNamespaces, getUsageVersion, getUsageVersionState, getUsedByPrototypes, getUsedByPrototypes, getUsingPrototype, getUsingPrototypes, getUsingPrototypes, getVariables, getVariables, setAccessControls, setAccessControls, setChanges, setChanges, setChangeState, setChangeState, setChangeStateState, setCustomAssociations, setCustomAssociations, setDocuments, setDocuments, setExtensions, setExtensions, setExternalIdentities, setExternalIdentities, setGroups, setGroups, setImplementors, setImplementors, setKeywords, setKeywords, setLocalizedAttributes, setLocalizedAttributes, setLockedBy, setLockedBy, setLockedByState, setNotes, setNotes, setPrimaryPropertyGroup, setPrimaryPropertyGroups, setPrimaryPropertyGroups, setPrompts, setPrompts, setProperties, setProperties, setPropertySets, setPropertySets, setReferencedObjects, setReferencedObjects, setResponsibleParties, setResponsibleParties, setSourceTransformations, setSourceTransformations, setSpecSourceTransformations, setSpecSourceTransformations, setSpecTargetTransformations, setSpecTargetTransformations, setTargetTransformations, setTargetTransformations, setTimestamps, setTimestamps, setTrees, setTrees, setTSObjectNamespace, setTSObjectNamespaces, setTSObjectNamespaces, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersion, setUsageVersionState, setUsedByPrototypes, setUsedByPrototypes, setUsingPrototype, setUsingPrototypes, setUsingPrototypes, setVariables, setVariables`

- ## Field Details

  - ### ATTRIBUTE_LOCATIONTYPE_NAME

    static final String ATTRIBUTE_LOCATIONTYPE_NAME
    Constant used for the name of the LocationType attribute.

    LocationType: The type of location, i.e. home address, office number, etc.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_ADDRESS_NAME

    static final String ATTRIBUTE_ADDRESS_NAME
    Constant used for the name of the Address attribute.

    Address: The address.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_CITY_NAME

    static final String ATTRIBUTE_CITY_NAME
    Constant used for the name of the City attribute.

    City: The city.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_POSTCODE_NAME

    static final String ATTRIBUTE_POSTCODE_NAME
    Constant used for the name of the PostCode attribute.

    PostCode: The postal code.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_AREA_NAME

    static final String ATTRIBUTE_AREA_NAME
    Constant used for the name of the Area attribute.

    Area: A region or territory.

    See Also:
      - Constant Field Values

  - ### ATTRIBUTE_COUNTRY_NAME

    static final String ATTRIBUTE_COUNTRY_NAME
    Constant used for the name of the Country attribute.

    Country: The country.

    See Also:
      - Constant Field Values

  - ### ASSOCIATION_PERSONS_NAME

    static final String ASSOCIATION_PERSONS_NAME
    Constant used for the name of the Persons association.

    Persons: *Unknown*

    See Also:
      - Constant Field Values

- ## Method Details

  - ### initializeRequiredObjects

    void initializeRequiredObjects() throws RemoteException
    (S) This initializes the Required Objects(Roles) which are:
    Specified by:
      `initializeRequiredObjects` in interface `MdObjectBaseUtil`
    Specified by:
      `initializeRequiredObjects` in interface `Root`
    Specified by:
      `initializeRequiredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### initializePredObjects

    void initializePredObjects() throws RemoteException
    (S) Adds the Associated objects to the predObjects which are:
    Specified by:
      `initializePredObjects` in interface `MdObjectBase`
    Specified by:
      `initializePredObjects` in interface `Root`
    Specified by:
      `initializePredObjects` in interface `SecondaryType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLocationType

    String getLocationType() throws RemoteException
    Gets the `String` value of `LocationType`
    Returns:
      The `LocationType`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLocationTypeState

    int getLocationTypeState() throws RemoteException
    Gets the Metadata State of `LocationType`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getLocationTypeMaxLength

    int getLocationTypeMaxLength() throws RemoteException
    Gets the maximum length of `LocationType`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAddress

    String getAddress() throws RemoteException
    Gets the `String` value of `Address`
    Returns:
      The `Address`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAddressState

    int getAddressState() throws RemoteException
    Gets the Metadata State of `Address`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAddressMaxLength

    int getAddressMaxLength() throws RemoteException
    Gets the maximum length of `Address`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getCity

    String getCity() throws RemoteException
    Gets the `String` value of `City`
    Returns:
      The `City`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getCityState

    int getCityState() throws RemoteException
    Gets the Metadata State of `City`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getCityMaxLength

    int getCityMaxLength() throws RemoteException
    Gets the maximum length of `City`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPostCode

    String getPostCode() throws RemoteException
    Gets the `String` value of `PostCode`
    Returns:
      The `PostCode`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPostCodeState

    int getPostCodeState() throws RemoteException
    Gets the Metadata State of `PostCode`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPostCodeMaxLength

    int getPostCodeMaxLength() throws RemoteException
    Gets the maximum length of `PostCode`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getArea

    String getArea() throws RemoteException
    Gets the `String` value of `Area`
    Returns:
      The `Area`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAreaState

    int getAreaState() throws RemoteException
    Gets the Metadata State of `Area`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getAreaMaxLength

    int getAreaMaxLength() throws RemoteException
    Gets the maximum length of `Area`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getCountry

    String getCountry() throws RemoteException
    Gets the `String` value of `Country`
    Returns:
      The `Country`
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getCountryState

    int getCountryState() throws RemoteException
    Gets the Metadata State of `Country`
    Returns:
      The State.
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getCountryMaxLength

    int getCountryMaxLength() throws RemoteException
    Gets the maximum length of `Country`
    Returns:
      The max size
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.

  - ### getPersons

    AssociationList getPersons() throws RemoteException, MdException
    Gets the Association list of `Persons`
    Returns:
      The AssociationList of `Persons` which can be of type:
      Person
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### getPersons

    AssociationList getPersons(boolean fGoToServer) throws RemoteException, MdException
    Gets the Associationlist of `Persons`
    Parameters:
      `fGoToServer` - boolean Get the value from the server.
    Returns:
      Returns the `Persons` which can be of type:
      Person
    Throws:
      `RemoteException` - If error connecting/communicating to/with remote object.
      `MdException` - If error getting/setting part of the object.

  - ### setLocationType

    void setLocationType(String inLocationType) throws RemoteException
    Sets the `LocationType` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inLocationType` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLocationType

    void setLocationType(String inLocationType, int state) throws RemoteException
    Sets the `LocationType` Metadata State.
    Parameters:
      `inLocationType` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setLocationTypeState

    void setLocationTypeState(int state) throws RemoteException
    Sets the Metadata State of `LocationType`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAddress

    void setAddress(String inAddress) throws RemoteException
    Sets the `Address` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inAddress` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAddress

    void setAddress(String inAddress, int state) throws RemoteException
    Sets the `Address` Metadata State.
    Parameters:
      `inAddress` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAddressState

    void setAddressState(int state) throws RemoteException
    Sets the Metadata State of `Address`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setCity

    void setCity(String inCity) throws RemoteException
    Sets the `City` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inCity` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setCity

    void setCity(String inCity, int state) throws RemoteException
    Sets the `City` Metadata State.
    Parameters:
      `inCity` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setCityState

    void setCityState(int state) throws RemoteException
    Sets the Metadata State of `City`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPostCode

    void setPostCode(String inPostCode) throws RemoteException
    Sets the `PostCode` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inPostCode` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPostCode

    void setPostCode(String inPostCode, int state) throws RemoteException
    Sets the `PostCode` Metadata State.
    Parameters:
      `inPostCode` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPostCodeState

    void setPostCodeState(int state) throws RemoteException
    Sets the Metadata State of `PostCode`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setArea

    void setArea(String inArea) throws RemoteException
    Sets the `Area` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inArea` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setArea

    void setArea(String inArea, int state) throws RemoteException
    Sets the `Area` Metadata State.
    Parameters:
      `inArea` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setAreaState

    void setAreaState(int state) throws RemoteException
    Sets the Metadata State of `Area`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setCountry

    void setCountry(String inCountry) throws RemoteException
    Sets the `Country` value and sets the state to MetadataState.LOCAL.
    Parameters:
      `inCountry` - String
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setCountry

    void setCountry(String inCountry, int state) throws RemoteException
    Sets the `Country` Metadata State.
    Parameters:
      `inCountry` - String
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setCountryState

    void setCountryState(int state) throws RemoteException
    Sets the Metadata State of `Country`.
    Parameters:
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPersons

    void setPersons(AssociationList list) throws RemoteException
    Sets the `Persons` list to be `list`. Objects of which can be of type:
    Person
    Parameters:
      `list` - AssociationList
    Throws:
      `RemoteException` - If error communicating with remote object.

  - ### setPersons

    void setPersons(AssociationList inObjects, int state) throws RemoteException
    Sets the entire Persons list to match the passed in AssociationList, sets the state of the Persons
    Parameters:
      `inObjects` - AssociationList
      `state` - int
    Throws:
      `RemoteException` - If error communicating with remote object.